# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cre_property_matcher/version'

Gem::Specification.new do |spec|
  spec.name          = "cre_property_matcher"
  spec.version       = CrePropertyMatcher::VERSION
  spec.authors       = ["Brad Arner"]
  spec.email         = ["barner@chapelle.us"]
  spec.summary       = %q{A basic implementation of the kNN Machine Learning Algorithm for Commercial Real Estate Analysis}
  spec.description   = %q{CREPropertyMatcher facilitates the analysis of Commercial Real Estate properties by identifying the most similar properties from a set of training data.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
