require "minitest/autorun"
require File.expand_path("../../lib/cre_property_matcher.rb", __FILE__)

class TestCrePropertyMatcher < Minitest::Test
	def setup
		@pm = CrePropertyMatcher::PropertyMatcher.new(noi: "400,000", ncf: "387,000", ltv: "75%", general_property_type: "Retail", appraised_value: "5,000,000", occupancy: "94%", uw_revenue: "500,000", uw_expenses: "145,000", state: "CT")
		
	end

	def test_reference_property_instantiated
		assert_equal false, @pm.reference.nil?
	end

	def test_training_data_loaded
		# assert_equal 2464, @pm.comps.count
		assert_equal 9857, @pm.comps.count
	end
end
